%define with_kitchensync 0
%{?_with_kitchensync: %{expand: %%global with_kitchensync 1}}

%define branch 0
%{?_branch: %{expand: %%global branch 1}}

%if %branch
%define kde_snapshot svn1053190
%endif

Name: kdepim4
Summary: K Desktop Environment
Version: 4.4.11.1
Release: %mkrel 2
Epoch: 2
Group: Graphical desktop/KDE
License: GPL
URL: http://pim.kde.org
%if %branch
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdepim-%version%kde_snapshot.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdepim-%version.tar.bz2
%endif


# Patches from branch 100 - 199
Patch100:  kdepim-4.4.11.1-kalarm-use-correct-location-for-kspeech.patch
Patch101:  kdepim-4.4.11.1-kalarm-highlight-alarm-when-message-window-Kalarm-button-is-clicked-kde-266082.patch
Patch102:  kdepim-4.4.11.1-only-start-akonadi-asynchrously-on-kdesc-4.6.2-kde-268120.patch
Patch103:  kdepim-4.4.11.1-fix-a-crash-displaying-new-alarm-dialog-from-systray-kde-271580.patch
Patch104:  kdepim-4.4.11.1-kmail-make-spell-checking-working-again-fix-kde-247486.patch
# Trunk Patches 200 - 299


# Test patches : 300+
Patch300:      kdepim-4.3.2-kmail-nepomuk.patch

# Mageia Patches 400+
Patch400:    kdepim-4.4.10-kmail-first-message.patch 
Patch401:    kdepim-4.3.90-fix-desktop-files.patch
Patch402:    kdepim-4.4.11.1-mga-revert-maint-order-when-new-articles-are-added-kde-271794-271149-271640.patch

BuildRequires: kdepim4-runtime-devel >= 2:%version
BuildRequires: gpgme-devel
BuildRequires: X11-devel 
BuildRequires: flex 
BuildRequires: byacc 
BuildRequires: pam
BuildRequires: libncurses-devel
BuildRequires: readline-devel
BuildRequires: libgpg-error-devel
BuildRequires: gnokii-devel >= 0.6.18
BuildRequires: libxml2-utils
BuildRequires: gnupg
BuildRequires: bluez-devel 
BuildRequires: libsasl-devel
BuildRequires: pilot-link-devel
BuildRequires: libxslt-proc
BuildRequires: boost-devel
BuildRequires: qca2-devel
BuildRequires: glib2-devel
BuildRequires: libassuan-devel
BuildRequires: mysql-devel
BuildRequires: libmal-devel
BuildRequires: automoc
%if %{with_kitchensync}
BuildRequires: libopensync-devel >= 0.30
%endif
BuildRequires: akonadi-devel
#FIXME: Remove later
BuildRequires: kdepimlibs4-core
BuildRequires: akonadi-devel
#BuildRequires: shared-desktop-ontologies-devel
#BuildRequires: nepomuk-scribo-devel

Suggests:      akonadi-common
Suggests:      kleopatra
Suggests:      akregator
%if %{with_kitchensync}
Suggests:      kitchensync
%endif
Suggests: knode
Suggests: kaddressbook
Suggests: kalarm
Suggests: ktimetracker
Suggests: kmail
Suggests: kmailcvt
Suggests: knotes
Suggests: kontact
Suggests: korganizer
Suggests: ksendemail
Suggests: kjots
#Suggests: nepomuk-email-feeder
Obsoletes: kpilot < %epoch:%version
Obsoletes: ktnef

%description
Information Management applications for the K Desktop Environment.
	- kaddressbook: The KDE addressbook application.
	- korganizer: a calendar-of-events and todo-list manager
	- kalarm: gui for setting up personal alarm/reminder messages
	- kalarmd: personal alarm/reminder messages daemon, shared by korganizer
         and kalarm.
	- kaplan: A shell for the PIM apps, (still experimental).
	- ktimetracker: Time tracker.
	- kfile-plugins: vCard KFIleItem plugin.
	- knotes: yellow notes application
	- konsolecalendar: Command line tool for accessing calendar files.
	- kmail: universal mail client
	- kmailcvt: a tool to convert addressbooks to kmail format
%if %{with_kitchensync}
    - kitchensync: Synchronisation framework, still under heavy development.
%endif

%files

#----------------------------------------------------------------------

%package core
Summary: Core files for kdepim
Group: Graphical desktop/KDE	
Requires: kdelibs4-core
Requires: kdebase4-runtime
Requires: akonadi-kde
Obsoletes: kode < 2:4.3
Conflicts: akonadi-kde < 2:4.3.85

%description core
Core files of kdepim.

%files core
%defattr(-,root,root,-)
%_kde_libdir/strigi/*
%_kde_iconsdir/*/*/*/*
%dir %_kde_datadir/kde4/services/kontact

#-----------------------------------------------------------------------------

%define gwsoap_major 4
%define libgwsoap %mklibname gwsoap %{gwsoap_major}

%package -n %libgwsoap
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libgwsoap
KDEPIM 4 library.

%files -n %libgwsoap
%defattr(-,root,root)
%_kde_libdir/libgwsoap.so.%{gwsoap_major}*

#-----------------------------------------------------------------------------

%define kaddressbookprivate_major 4
%define libkaddressbookprivate %mklibname kaddressbookprivate %{kaddressbookprivate_major}

%package -n %libkaddressbookprivate
Summary: KaddressBook library
Group: System/Libraries

%description -n %libkaddressbookprivate
KAddressBook runtime library.

%files -n %libkaddressbookprivate
%defattr(-,root,root)
%_kde_libdir/libkaddressbookprivate.so.%{kaddressbookprivate_major}*

#-----------------------------------------------------------------------------

%define kontactprivate_major 4
%define libkontactprivate %mklibname kontactprivate %{kontactprivate_major}

%package -n %libkontactprivate
Summary: Kontact runtime library
Group: System/Libraries

%description -n %libkontactprivate
Kontact runtime library.

%files -n %libkontactprivate
%defattr(-,root,root)
%_kde_libdir/libkontactprivate.so.%{kontactprivate_major}*

#-----------------------------------------------------------------------------

%define korganizer_core_major 4
%define libkorganizer_core %mklibname korganizer_core %{korganizer_core_major}

%package -n %libkorganizer_core
Summary: Korganizer runtime library
Group: System/Libraries

%description -n %libkorganizer_core
KOrganizer runtime library.

%files -n %libkorganizer_core
%defattr(-,root,root)
%_kde_libdir/libkorganizer_core.so.%{korganizer_core_major}*

#-----------------------------------------------------------------------------

%define libkdepim %mklibname kdepim 4

%package -n %libkdepim
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkdepim
KDE PIM runtime libraries.

%files -n %libkdepim
%defattr(-,root,root)
%_kde_libdir/libkdepim.so.*
%_kde_appsdir/kdepimwidgets
%_kde_appsdir/libkdepim
%_kde_libdir/kde4/kpartsdesignerplugin.so
%_kde_libdir/kde4/plugins/designer/kdepimwidgets.so

#-----------------------------------------------------------------------------

%define kpgp_major 4
%define libkpgp %mklibname kpgp %{kpgp_major}

%package -n %libkpgp
Summary: KGPG runtime library
Group: System/Libraries

%description -n %libkpgp
KGPG runtime library.

%files -n %libkpgp
%defattr(-,root,root)
%_kde_libdir/libkpgp.so.%{kpgp_major}*
#TODO: move away from here
%_kde_appsdir/kconf_update/kpgp-3.1-upgrade-address-data.pl
%_kde_appsdir/kconf_update/kpgp.upd

#-----------------------------------------------------------------------------

%package -n kleopatra
Summary: KDE Certificate Manager
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version


%description -n kleopatra
Kleopatra is a certificate manager and a universal crypto GUI. It supports
managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
certificates from LDAP servers.

%files -n kleopatra
%defattr(-,root,root)
%_kde_bindir/kleopatra
%_kde_bindir/kgpgconf
%_kde_bindir/kwatchgnupg
%_kde_datadir/applications/kde4/kleopatra.desktop
%_kde_configdir/libkleopatrarc
%_kde_datadir/applications/kde4/kleopatra_import.desktop
%_kde_appsdir/kleopatra
%_kde_appsdir/libkleopatra
%_kde_appsdir/kwatchgnupg
%_kde_datadir/kde4/services/kleopatra_*
%_kde_libdir/kde4/kcm_kleopatra.so
%doc %_kde_docdir/*/*/kleopatra
%doc %_kde_docdir/*/*/kwatchgnupg

#-----------------------------------------------------------------------------

%define ksieve_major 4
%define libksieve %mklibname ksieve %{ksieve_major}

%package -n %libksieve
Summary: KSieve runtime library
Group: System/Libraries

%description -n %libksieve
KSieve (a Sieve parser and interpreter library) runtime library.

Sieve is a programming language that can be used to create filters for email.

%files -n %libksieve
%defattr(-,root,root)
%_kde_libdir/libksieve.so.%{ksieve_major}*

#-----------------------------------------------------------------------------

%define mimelib_major 4
%define libmimelib %mklibname mimelib %{mimelib_major}

%package -n %libmimelib
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libmimelib
mimelib runtime library.

%files -n %libmimelib
%defattr(-,root,root)
%_kde_libdir/libmimelib.so.%{mimelib_major}*

#-----------------------------------------------------------------------------

%define akregatorinterfaces_major 4
%define libakregatorinterfaces %mklibname akregatorinterfaces %{akregatorinterfaces_major}

%package -n %libakregatorinterfaces
Summary: Akregator runtime library
Group: System/Libraries

%description -n %libakregatorinterfaces
Akregator runtime library.

%files -n %libakregatorinterfaces
%defattr(-,root,root)
%_kde_libdir/libakregatorinterfaces.so.%{akregatorinterfaces_major}*

#-----------------------------------------------------------------------------

%define akregatorprivate_major 4
%define libakregatorprivate %mklibname akregatorprivate %{akregatorprivate_major}

%package -n %libakregatorprivate
Summary: Akgregator runtime library
Group: System/Libraries

%description -n %libakregatorprivate
Akregator runtime library.

%files -n %libakregatorprivate
%defattr(-,root,root)
%_kde_libdir/libakregatorprivate.so.*

#-----------------------------------------------------------------------------

%package -n akregator
Summary: A Feed Reader for KDE
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version


%description -n akregator
Akregator is a news feed reader for the KDE desktop. It enables you to
follow news sites, blogs and other RSS/Atom-enabled websites without
the need to manually check for updates using a web browser. Akregator
is designed to be both easy to use and to be powerful enough to read
hundreds of news sources conveniently. It comes with Konqueror
integration for adding news feeds and with an internal browser for
easy news reading.

%files -n akregator
%defattr(-,root,root)
%_kde_bindir/akregator
%_kde_bindir/akregatorstorageexporter
%_kde_datadir/applications/kde4/akregator.desktop
%_kde_appsdir/akregator
%_kde_datadir/kde4/services/kontact/akregatorplugin.desktop
%_kde_datadir/config.kcfg/akregator.kcfg
%_kde_datadir/kde4/services/akregator_*
%_kde_datadir/kde4/services/feed.protocol
%_kde_datadir/kde4/servicetypes/akregator_plugin.desktop
%_kde_libdir/kde4/akregator*
%_kde_libdir/kde4/kontact_akregatorplugin.so
%doc %_kde_docdir/HTML/en/akregator

#-----------------------------------------------------------------------------

%if %{with_kitchensync}

%define kitchensyncprivate_major 4
%define libkitchensyncprivate %mklibname kitchensyncprivate %{kitchensyncprivate_major}

%package -n %libkitchensyncprivate
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkitchensyncprivate
KDEPIM 4 library.

%files -n %libkitchensyncprivate
%defattr(-,root,root)
%_kde_libdir/libkitchensyncprivate.so.%{kitchensyncprivate_major}*

#-----------------------------------------------------------------------------

%define qopensync_major 4
%define libqopensync %mklibname qopensync %{qopensync_major}

%package -n %libqopensync
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libqopensync
KDEPIM 4 library.

%files -n %libqopensync
%defattr(-,root,root)
%_kde_libdir/libqopensync.so.%{qopensync_major}*

#-----------------------------------------------------------------------------

%package -n kitchensync
Summary: KDE KitchenSync
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version


%description -n kitchensync
The KDE Synchronization Tool

%files -n kitchensync
%defattr(-,root,root)
%_kde_bindir/kitchensync
%_kde_datadir/applications/kde4/kitchensync.desktop
%_kde_appsdir/kitchensync
%_kde_libdir/kde4/kitchensyncpart.so
%endif

#-----------------------------------------------------------------------------

%define knodecommon_major 4
%define libknodecommon %mklibname knodecommon %{knodecommon_major}

%package -n %libknodecommon
Summary: Knode runtime library
Group: System/Libraries

%description -n %libknodecommon
KNode runtime library.

%files -n %libknodecommon
%defattr(-,root,root)
%_kde_libdir/libknodecommon.so.%{knodecommon_major}*

#-----------------------------------------------------------------------------

%package -n knode
Summary: A newsreader for the K Desktop Environment
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Requires: kdepimlibs4-core
Requires: kio4-nntp

%description -n knode
KNode is a newsreader for the K Desktop Environment.

It is GNKSA compliant (unfortunally a review is still pending), and has
support for MIME and multiple servers.

It is a online-reader, but in combination with a local newsserver like
leafnode also usable with dial-up connections.

%files -n knode
%defattr(-,root,root)
%_kde_bindir/knode
%_kde_datadir/applications/kde4/KNode.desktop
%_kde_appsdir/knode
%_kde_datadir/kde4/services/kontact/knodeplugin.desktop
%_kde_datadir/kde4/services/knewsservice.protocol
%_kde_datadir/kde4/services/knode_config_accounts.desktop
%_kde_datadir/kde4/services/knode_config_appearance.desktop
%_kde_datadir/kde4/services/knode_config_cleanup.desktop
%_kde_datadir/kde4/services/knode_config_identity.desktop
%_kde_datadir/kde4/services/knode_config_post_news.desktop
%_kde_datadir/kde4/services/knode_config_privacy.desktop
%_kde_datadir/kde4/services/knode_config_read_news.desktop
%_kde_libdir/kde4/kcm_knode.so
%_kde_libdir/kde4/knodepart.so
%_kde_libdir/kde4/kontact_knodeplugin.so
%doc %_kde_docdir/HTML/en/knode
%doc %_kde_docdir/HTML/en/kioslave/news

#-----------------------------------------------------------------------------

%package -n kaddressbook
Summary: The KDE addressbook application
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

Requires: akonadi-common 
Suggests: akonadi-googledata
Suggests: akonadi-facebook

%description -n kaddressbook
KAddressBook stores all the personal details of your family, friends and other
contacts.

Features:
    - Imports and exports to nearly every address book standard
    - Reads .vcf format files, and can import and export vCards and csv format
      files
    - Can use multiple LDAPservers
    - Configurable filters and powerful search capabilities
    - Integrates with other Kontact components, e.g. exporting Birthday
      reminders to KOrganizer
    - Capable of groupware integration
    - Powered by Akonadi

%files -n kaddressbook
%defattr(-,root,root)
%_kde_bindir/kaddressbook
%_kde_bindir/kabc2mutt                        
%_kde_bindir/kabcclient
%_kde_datadir/applications/kde4/kaddressbook.desktop
%_kde_appsdir/kaddressbook
%_kde_libdir/kde4/kcm_ldap.so
%_kde_libdir/akonadi/contact/editorpageplugins/cryptopageplugin.so
%_kde_libdir/kde4/kaddressbookpart.so
%_kde_libdir/kde4/kontact_kaddressbookplugin.so
%_kde_datadir/kde4/services/kaddressbookpart.desktop
%_kde_datadir/kde4/services/kontact/kaddressbookplugin.desktop
%_kde_datadir/kde4/services/kcmldap.desktop
%_kde_mandir/man1/kabcclient.1.*
%doc %_kde_docdir/HTML/en/kabcclient

#-----------------------------------------------------------------------------

%package -n blogilo
Summary: Blogging client for kde
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

%description -n blogilo
Blogilo is a blogging client for KDE, which supports famous blogging
APIs.

It was known as Bilbo blogger before, But because of a trademark
issue, We (Blogilo developers) decided to choose a new name for it.
More information about the decision can be found at
http://blogilo.gnufolks.org/news/.

Its current features:

* A full featured WYSIWYG editor.
* An HTML editor with syntax highlighting.
* Previewing your post with your blog style! like when you are
  visiting it at your blog.
* Support for Blogger1.0, MetaWeblog, MovableType (Wordpress supports
  All of these!) and Google GData (used on Blogspot.com blogs) APIs!
* Support for Creating/Modifying/Deleting posts.
* Support for creating drafts and scheduled posts!
* Support for uploading media files to your blog (Just on supported
  APIs e.g. MetaWeblog and MovableType)
* Support for uploading to FTP server.
* Support for Fetching your recent blog entries.
* Support for adding Images to post from your system. It will upload
  them on Submitting post to blog (Just on supported APIs e.g.
  MetaWeblog and MovableType)
* Support for saving local entries before publishing.
* Saving your writing copy to prevent data loss, at configurable
  intervals.
* and ...

%files -n blogilo
%defattr(-,root,root)
%{_kde_bindir}/blogilo
%_kde_datadir/applications/kde4/blogilo.desktop
%_kde_datadir/config.kcfg/blogilo.kcfg
%doc %_kde_docdir/HTML/en/blogilo
%_kde_appsdir/blogilo/blogiloui.rc

#-----------------------------------------------------------------------------

%define messagecore_major 4
%define libmessagecore %mklibname messagecore %{messagecore_major}

%package -n %libmessagecore
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libmessagecore
KDEPIM 4 library.

%files -n %libmessagecore
%defattr(-,root,root)
%_kde_libdir/libmessagecore.so.%{messagecore_major}*

#-----------------------------------------------------------------------------

%package -n kalarm
Summary: A personal alarm message, command and email scheduler
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version


%description -n kalarm
KAlarm is a personal alarm message, command and email scheduler. It lets you
set up personal alarm messages which pop up on the screen at the chosen time,
or you can schedule commands to be executed or emails to be sent.

%files -n kalarm
%defattr(-,root,root)
%_kde_bindir/kalarm
%_kde_bindir/kalarmautostart
%_kde_libdir/kde4/kalarm_local.so
%_kde_libdir/kde4/kalarm_localdir.so
%_kde_libdir/kde4/kalarm_remote.so
%_kde_datadir/applications/kde4/kalarm.desktop
%_kde_appsdir/kalarm
%_kde_appsdir/kconf_update/kalarm-1.2.1-general.pl
%_kde_appsdir/kconf_update/kalarm-1.9.5-defaults.pl
%_kde_appsdir/kconf_update/kalarm-2.0.2-general.pl
%_kde_appsdir/kconf_update/kalarm-2.1.5-general.pl
%_kde_appsdir/kconf_update/kalarm-version.pl
%_kde_appsdir/kconf_update/kalarm.upd
%_kde_datadir/autostart/kalarm.autostart.desktop
%_kde_datadir/config.kcfg/kalarmconfig.kcfg
%doc %_kde_docdir/HTML/en/kalarm
%_kde_datadir/kde4/services/kresources/alarms/local.desktop
%_kde_datadir/kde4/services/kresources/alarms/localdir.desktop
%_kde_datadir/kde4/services/kresources/alarms/remote.desktop
%_kde_datadir/kde4/services/kresources/kalarm_manager.desktop

#-----------------------------------------------------------------------------

%define kalarm_calendar_major 4 
%define libkalarm_calendar %mklibname kalarm_calendar %{kalarm_calendar_major} 

%package -n %libkalarm_calendar
Summary: KAlarm runtime library
Group: System/Libraries

%description -n %libkalarm_calendar
KAlarm runtime library.

%files -n %libkalarm_calendar
%defattr(-,root,root)
%_kde_libdir/libkalarm_calendar.so.%{kalarm_calendar_major}*

#-----------------------------------------------------------------------------

%define kalarm_resources_major 4
%define libkalarm_resources %mklibname kalarm_resources %{kalarm_resources_major}

%package -n %libkalarm_resources
Summary: KAlarm runtime library
Group: System/Libraries

%description -n %libkalarm_resources
KAlarm runtime library.

%files -n %libkalarm_resources
%defattr(-,root,root)
%_kde_libdir/libkalarm_resources.so.%{kalarm_resources_major}*

#-----------------------------------------------------------------------------

%package -n ktimetracker
Summary: Tracks time spent on various tasks
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version


%description -n ktimetracker
KTimeTracker tracks time spent on various tasks. It is useful for tracking
hours to be billed to different clients or just to find out what percentage
of your day is spent playing Doom or reading Slashdot.

%files -n ktimetracker
%defattr(-,root,root)
%_kde_bindir/karm
%_kde_bindir/ktimetracker
%_kde_appsdir/ktimetracker
%_kde_datadir/applications/kde4/ktimetracker.desktop
#%_kde_datadir/kde4/services/kcmplanner.desktop
#%_kde_datadir/kde4/services/kontact/plannerplugin.desktop
%_kde_datadir/kde4/services/ktimetrackerpart.desktop
%_kde_datadir/kde4/services/ktimetracker_config_behavior.desktop
%_kde_datadir/kde4/services/ktimetracker_config_display.desktop
%_kde_datadir/kde4/services/ktimetracker_config_storage.desktop
%_kde_datadir/kde4/services/kontact/ktimetracker_plugin.desktop
%_kde_libdir/kde4/ktimetrackerpart.so
#%_kde_libdir/kde4/kcm_planner.so
%_kde_libdir/kde4/kcm_ktimetracker.so
#%_kde_libdir/kde4/kontact_plannerplugin.so
%_kde_libdir/kde4/kontact_ktimetrackerplugin.so
%_kde_docdir/HTML/en/ktimetracker

#-----------------------------------------------------------------------------

%define kmailprivate_major 4
%define libkmailprivate %mklibname kmailprivate %{kmailprivate_major}

%package -n %libkmailprivate
Summary: KMail runtime library
Group: System/Libraries

%description -n %libkmailprivate
KMail runtime library.

%files -n %libkmailprivate
%defattr(-,root,root)
%_kde_libdir/libkmailprivate.so.%{kmailprivate_major}*

#-----------------------------------------------------------------------------

%package -n kmail
Summary: KDE Email Client
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Requires: kdepimlibs4-core
Requires: sasl-plug-plain
Requires: sasl-plug-ntlm
Requires: sasl-plug-login
Requires: sasl-plug-digestmd5
Requires: kio4-pop3
Requires: kio4-smtp
Requires: kio4-mbox
Requires: kio4-imap
Requires: kio4-sieve
Suggests: kmailcvt
Suggests: pinentry-qt4
Suggests: openssh-askpass-qt4


%description -n kmail
KMail is the email component of Kontact (the integrated personal
information manager of KDE).

%files -n kmail
%defattr(-,root,root)
%_kde_bindir/kmail
%_kde_bindir/kmail_antivir.sh
%_kde_bindir/kmail_clamav.sh
%_kde_bindir/kmail_fprot.sh
%_kde_bindir/kmail_sav.sh
%_kde_appsdir/kmail
%_kde_datadir/kde4/services/kontact/kmailplugin.desktop
%_kde_datadir/applications/kde4/KMail.desktop
%_kde_datadir/applications/kde4/kmail_view.desktop
%_kde_appsdir/kconf_update/kmail*
%_kde_appsdir/kconf_update/upgrade-signature.pl
%_kde_appsdir/kconf_update/upgrade-transport.pl
%_kde_datadir/config.kcfg/custommimeheader.kcfg
%_kde_datadir/config.kcfg/customtemplates_kfg.kcfg
%_kde_datadir/config.kcfg/kmail.kcfg
%_kde_datadir/config.kcfg/templatesconfiguration_kfg.kcfg
%_kde_datadir/config/kmail.antispamrc
%_kde_datadir/config/kmail.antivirusrc
%_kde_datadir/kde4/services/kmail_config_accounts.desktop
%_kde_datadir/kde4/services/kmail_config_appearance.desktop
%_kde_datadir/kde4/services/kmail_config_composer.desktop
%_kde_datadir/kde4/services/kmail_config_identity.desktop
%_kde_datadir/kde4/services/kmail_config_misc.desktop
%_kde_datadir/kde4/services/kmail_config_security.desktop
%_kde_datadir/kde4/servicetypes/dbusimap.desktop
%_kde_datadir/kde4/servicetypes/dbusmail.desktop
%_kde_libdir/kde4/kcm_kmail.so
%_kde_libdir/kde4/kmailpart.so
%_kde_libdir/kde4/kmail_bodypartformatter_*
%_kde_libdir/kde4/kcm_kmailsummary.so
%_kde_libdir/kde4/kontact_kmailplugin.so
%_kde_libdir/kde4/ktexteditorkabcbridge.so
%_kde_datadir/kde4/services/kcmkmailsummary.desktop
%_kde_docdir/HTML/en/kmail

#-----------------------------------------------------------------------------

%package -n kmailcvt
Summary: KDE Mail import tool
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version


%description -n kmailcvt
KDE Mail import tool.

%files -n kmailcvt
%defattr(-,root,root)
%_kde_bindir/kmailcvt
%_kde_appsdir/kmailcvt/pics/step1.png

#-----------------------------------------------------------------------------

%package -n knotes
Summary: Notes for the K Desktop Environment
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Requires: %name-kresources
Requires: kio4-nntp

%description -n knotes
KNotes aims to be a useful and full featured notes application for
the KDE project. It tries to be as fast and lightweight as possible
although including some advanced features.

%files -n knotes
%defattr(-,root,root)
%_kde_bindir/knotes
%_kde_datadir/applications/kde4/knotes.desktop
%_kde_datadir/kde4/services/kontact/knotesplugin.desktop
%_kde_datadir/config.kcfg/knoteconfig.kcfg
%_kde_datadir/config.kcfg/knotesglobalconfig.kcfg
%_kde_appsdir/knotes
%_kde_datadir/kde4/services/kresources/knotes/local.desktop
%_kde_datadir/kde4/services/kresources/knotes_manager.desktop
%_kde_datadir/kde4/services/knote_config_action.desktop
%_kde_datadir/kde4/services/knote_config_display.desktop
%_kde_datadir/kde4/services/knote_config_editor.desktop
%_kde_datadir/kde4/services/knote_config_network.desktop
%_kde_datadir/kde4/services/knote_config_style.desktop
%_kde_libdir/kde4/knotes_local.so
%_kde_libdir/kde4/kcm_knote.so
%_kde_docdir/HTML/en/knotes
%_kde_libdir/kde4/kontact_knotesplugin.so

#-----------------------------------------------------------------------------

%package -n kontact
Summary: Kontact Container
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Requires: kio4-ldap

Suggests: akregator
Suggests: kmail
Suggests: knotes
Suggests: ktimetracker
Suggests: knode
Suggests: kalarm
Suggests: kaddressbook
Suggests: korganizer

%description -n kontact
The KDE Kontact Personal Information Management suite unites mature and
proven KDE applications under one roof. Thanks to the powerful KParts
technology, existing applications are seamlessly integrated into one.

%files -n kontact
%defattr(-,root,root)
%_kde_bindir/kontact
%_kde_appsdir/kontact
%_kde_appsdir/kontactsummary
%_kde_datadir/config.kcfg/kontact.kcfg
%_kde_datadir/kde4/services/kontactconfig.desktop
%_kde_datadir/kde4/services/kcmapptsummary.desktop
%_kde_datadir/kde4/services/kcmkontactsummary.desktop
#%_kde_datadir/kde4/services/kcmsdsummary.desktop
%_kde_datadir/kde4/services/kontact/summaryplugin.desktop
#%_kde_datadir/kde4/services/kontact/specialdatesplugin.desktop
%_kde_libdir/kde4/kcm_apptsummary.so
%_kde_libdir/kde4/kcm_kontact.so
%_kde_libdir/kde4/kcm_kontactsummary.so
%_kde_libdir/kde4/kontact_journalplugin.so
#%_kde_libdir/kde4/kcm_sdsummary.so
#%_kde_libdir/kde4/kontact_specialdatesplugin.so
%_kde_libdir/kde4/kontact_summaryplugin.so
%_kde_datadir/applications/kde4/Kontact.desktop
%_kde_datadir/applications/kde4/kontact-admin.desktop

%_kde_docdir/HTML/en/kontact
%_kde_docdir/HTML/en/kontact-admin

#-----------------------------------------------------------------------------

%define korg_stdprinting_major 4
%define libkorg_stdprinting %mklibname korg_stdprinting %{korg_stdprinting_major}

%package -n %libkorg_stdprinting
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkorg_stdprinting
KDEPIM 4 library.

%files -n %libkorg_stdprinting
%defattr(-,root,root)
%_kde_libdir/libkorg_stdprinting.so.%{korg_stdprinting_major}*

#-----------------------------------------------------------------------------

%define korganizer_calendar_major 4
%define libkorganizer_calendar %mklibname korganizer_calendar %{korganizer_calendar_major}

%package -n %libkorganizer_calendar
Summary: KOrganizer runtime library
Group: System/Libraries

%description -n %libkorganizer_calendar
KOrganizer runtime library.

%files -n %libkorganizer_calendar
%defattr(-,root,root)
%_kde_libdir/libkorganizer_calendar.so.%{korganizer_calendar_major}*

#-----------------------------------------------------------------------------

%define korganizer_eventviewer_major 4
%define libkorganizer_eventviewer %mklibname korganizer_eventviewer %{korganizer_eventviewer_major}

%package -n %libkorganizer_eventviewer
Summary: KOrganizer runtime library
Group: System/Libraries

%description -n %libkorganizer_eventviewer
KOrganizer runtime library.

%files -n %libkorganizer_eventviewer
%defattr(-,root,root)
%_kde_libdir/libkorganizer_eventviewer.so.%{korganizer_eventviewer_major}*

#-----------------------------------------------------------------------------

%define korganizer_interfaces_major 4
%define libkorganizer_interfaces %mklibname korganizer_interfaces %{korganizer_interfaces_major}

%package -n %libkorganizer_interfaces
Summary: KOrganizer runtime library
Group: System/Libraries

%description -n %libkorganizer_interfaces
KOrganizer runtime library.

%files -n %libkorganizer_interfaces
%defattr(-,root,root)
%_kde_libdir/libkorganizer_interfaces.so.%{korganizer_interfaces_major}*

#-----------------------------------------------------------------------------

%package -n korganizer
Summary: Calendar and scheduling component
Group: Graphical desktop/KDE
Requires:  %name-core = %epoch:%version
Requires:  %name-kresources
Requires: kio4-ldap
Suggests: akonadi-googledata
Suggests: akonadi-facebook

%description -n korganizer
KOrganizer provides management of events and tasks, alarm notification,
web export, network transparent handling of data, group scheduling,
import and export of calendar files and more. It is able to work together
with a wide variety of groupware servers, for example Kolab, Open-Xchange,
Citadel or OpenGroupware.org.

%files -n korganizer
%defattr(-,root,root)
%_kde_bindir/ical2vcal
%_kde_bindir/korgac
%_kde_bindir/korganizer
%_kde_datadir/kde4/services/kontact/korganizerplugin.desktop
%_kde_datadir/applications/kde4/korganizer-import.desktop
%_kde_datadir/applications/kde4/korganizer.desktop
%_kde_appsdir/kconf_update/korganizer.upd
%_kde_appsdir/korgac
%_kde_appsdir/korganizer
%_kde_datadir/kde4/services/kontact/todoplugin.desktop
%_kde_datadir/kde4/services/kcmtodosummary.desktop
%_kde_datadir/kde4/services/kontact/journalplugin.desktop
%_kde_libdir/kde4/kcm_todosummary.so
%_kde_libdir/kde4/kontact_todoplugin.so
%_kde_datadir/autostart/korgac.desktop
%_kde_datadir/config.kcfg/korganizer.kcfg
%_kde_datadir/config/korganizer.knsrc
%_kde_datadir/kde4/services/korganizer*
%_kde_datadir/kde4/services/webcal.protocol
%_kde_datadir/kde4/servicetypes/calendardecoration.desktop
%_kde_datadir/kde4/servicetypes/calendarplugin.desktop
%_kde_datadir/kde4/servicetypes/dbuscalendar.desktop
%_kde_datadir/kde4/servicetypes/korganizerpart.desktop
%_kde_datadir/kde4/servicetypes/korgprintplugin.desktop
%_kde_libdir/kde4/kcm_korganizer.so
%_kde_libdir/kde4/korg_*
%_kde_libdir/kde4/korganizerpart.so
%_kde_libdir/kde4/kontact_korganizerplugin.so
%doc %_kde_docdir/*/*/korganizer

%_kde_bindir/konsolekalendar
%_kde_datadir/applications/kde4/konsolekalendar.desktop
%_kde_appsdir/konsolekalendar
%doc %_kde_docdir/HTML/en/konsolekalendar

#-----------------------------------------------------------------------------

%define korganizerprivate_major 4
%define libkorganizerprivate %mklibname korganizerprivate %{korganizerprivate_major}

%package -n %libkorganizerprivate
Summary: KOrganizer runtime library
Group: System/Libraries

%description -n %libkorganizerprivate
KOrganizer runtime library.

%files -n %libkorganizerprivate
%defattr(-,root,root)
%_kde_libdir/libkorganizerprivate.so.%{korganizerprivate_major}*

#-----------------------------------------------------------------------------

%define kabc_groupdav_major 4
%define libkabc_groupdav %mklibname kabc_groupdav %{kabc_groupdav_major}

%package -n %libkabc_groupdav
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkabc_groupdav
KDEPIM 4 library.

%files -n %libkabc_groupdav
%defattr(-,root,root)
%_kde_libdir/libkabc_groupdav.so.%{kabc_groupdav_major}*

#-----------------------------------------------------------------------------

%define kabc_slox_major 4
%define libkabc_slox %mklibname kabc_slox %{kabc_slox_major}

%package -n %libkabc_slox
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkabc_slox
KDEPIM 4 library.

%files -n %libkabc_slox
%defattr(-,root,root)
%_kde_libdir/libkabc_slox.so.%{kabc_slox_major}*

#-----------------------------------------------------------------------------

%define messagelist_major 4
%define libmessagelist %mklibname messagelist %{messagelist_major}

%package -n %libmessagelist
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libmessagelist
KDEPIM 4 library.

%files -n %libmessagelist
%defattr(-,root,root)
%_kde_libdir/libmessagelist.so.%{messagelist_major}*

#-----------------------------------------------------------------------------

%define kabckolab_major 4
%define libkabckolab %mklibname kabckolab %{kabckolab_major}

%package -n %libkabckolab
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkabckolab
KDEPIM 4 library.

%files -n %libkabckolab
%defattr(-,root,root)
%_kde_libdir/libkabckolab.so.%{kabckolab_major}*

#-----------------------------------------------------------------------------

%define kcal_groupdav_major 4
%define libkcal_groupdav %mklibname kcal_groupdav %{kcal_groupdav_major}

%package -n %libkcal_groupdav
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkcal_groupdav
KDEPIM 4 library.

%files -n %libkcal_groupdav
%defattr(-,root,root)
%_kde_libdir/libkcal_groupdav.so.%{kcal_groupdav_major}*

#-----------------------------------------------------------------------------

%define kcal_resourceblog 4
%define libkcal_resourceblog %mklibname kcal_resourceblog %{kcal_resourceblog}

%package -n %libkcal_resourceblog
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkcal_resourceblog
KDEPIM 4 library.

%files -n %libkcal_resourceblog
%defattr(-,root,root)
%_kde_libdir/libkcal_resourceblog.so.%{kcal_resourceblog}*

#-----------------------------------------------------------------------------

%define kcal_resourceremote_major 4
%define libkcal_resourceremote %mklibname kcal_resourceremote %{kcal_resourceremote_major}

%package -n %libkcal_resourceremote
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkcal_resourceremote
KDEPIM 4 library.

%files -n %libkcal_resourceremote
%defattr(-,root,root)
%_kde_libdir/libkcal_resourceremote.so.%{kcal_resourceremote_major}*

#-----------------------------------------------------------------------------

%define kcal_slox_major 4
%define libkcal_slox %mklibname kcal_slox %{kcal_slox_major}

%package -n %libkcal_slox
Summary: Provide access to contacts stored on a Open-Xchange server
Group: System/Libraries

%description -n %libkcal_slox
Library used to provide access to contacts stored on a Open-Xchange server.

%files -n %libkcal_slox
%defattr(-,root,root)
%_kde_libdir/libkcal_slox.so.%{kcal_slox_major}*

#-----------------------------------------------------------------------------

%define kcalkolab_major 4
%define libkcalkolab %mklibname kcalkolab %{kcalkolab_major}

%package -n %libkcalkolab
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkcalkolab
KDEPIM 4 library.

%files -n %libkcalkolab
%defattr(-,root,root)
%_kde_libdir/libkcalkolab.so.%{kcalkolab_major}*

#-----------------------------------------------------------------------------

%define kgroupwarebase_major 4
%define libkgroupwarebase %mklibname kgroupwarebase %{kgroupwarebase_major}

%package -n %libkgroupwarebase
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkgroupwarebase
KDEPIM 4 library.

%files -n %libkgroupwarebase
%defattr(-,root,root)
%_kde_libdir/libkgroupwarebase.so.%{kgroupwarebase_major}*

#-----------------------------------------------------------------------------

%define kgroupwaredav_major 4
%define libkgroupwaredav %mklibname kgroupwaredav %{kgroupwaredav_major}

%package -n %libkgroupwaredav
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkgroupwaredav
KDEPIM 4 library.

%files -n %libkgroupwaredav
%defattr(-,root,root)
%_kde_libdir/libkgroupwaredav.so.%{kgroupwaredav_major}*

#-----------------------------------------------------------------------------

%define knoteskolab_major 4
%define libknoteskolab %mklibname knoteskolab %{knoteskolab_major}

%package -n %libknoteskolab
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libknoteskolab
KDEPIM 4 library.

%files -n %libknoteskolab
%defattr(-,root,root)
%_kde_libdir/libknoteskolab.so.%{knoteskolab_major}*
#-----------------------------------------------------------------------------

%define kslox_major 4
%define libkslox %mklibname kslox %{kslox_major}

%package -n %libkslox
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkslox
KDEPIM 4 library.

%files -n %libkslox
%defattr(-,root,root)
%_kde_libdir/libkslox.so.%{kslox_major}*

#-----------------------------------------------------------------------------

%define kleo_major 4
%define libkleo %mklibname kleo %{kleo_major}

%package -n %libkleo
Summary: KDE keymanagement library
Group: System/Libraries

%description -n %libkleo
KDE keymanagement library.

%files -n %libkleo
%defattr(-,root,root)
%_kde_libdir/libkleo.so.%{kleo_major}*

#-----------------------------------------------------------------------------

%package kresources
Summary: KDE pim resource plugins
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Conflicts: kdepim4-akonadi < 2:4.3.0

%description kresources
This package includes several plugins needed to interface with groupware
servers. It also includes plugins for features such as blogging and
tracking feature plans.

%files kresources
%defattr(-,root,root)
%_kde_datadir/kde4/services/kresources/kabc/kabc_groupdav.desktop
%_kde_datadir/kde4/services/kresources/kabc/kabc_opengroupware.desktop
%_kde_datadir/kde4/services/kresources/kabc/kabc_ox.desktop
%_kde_datadir/kde4/services/kresources/kabc/kabc_slox.desktop
%_kde_datadir/kde4/services/kresources/kabc/kolab.desktop
%_kde_datadir/kde4/services/kresources/kcal/kabc.desktop
%_kde_datadir/kde4/services/kresources/kcal/kcal_groupdav.desktop
%_kde_datadir/kde4/services/kresources/kcal/kcal_opengroupware.desktop
%_kde_datadir/kde4/services/kresources/kcal/kcal_ox.desktop
%_kde_datadir/kde4/services/kresources/kcal/kcal_slox.desktop
%_kde_datadir/kde4/services/kresources/kcal/kolab.desktop
%_kde_datadir/kde4/services/kresources/kcal/remote.desktop
%_kde_datadir/kde4/services/kresources/kcal/blog.desktop
%_kde_datadir/kde4/services/kresources/knotes/kolabresource.desktop
%_kde_appsdir/kconf_update/kolab-resource.upd
%_kde_appsdir/kconf_update/upgrade-resourcetype.pl
%_kde_libdir/kde4/kabc_groupdav.so
%_kde_libdir/kde4/kabc_kolab.so
%_kde_libdir/kde4/kabc_slox.so
%_kde_libdir/kde4/kcal_*
%_kde_libdir/kde4/knotes_kolab.so

#-----------------------------------------------------------------------------

%package wizards
Summary: KDE Groupware Wizard
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

%description wizards
KDE Groupware Wizard.

%files wizards
%defattr(-,root,root)
%_kde_bindir/groupwarewizard
%_kde_bindir/kolabwizard
%_kde_bindir/sloxwizard
%_kde_bindir/groupwisewizard
%_kde_libdir/kde4/kio_groupwise.so
%_kde_libdir/kde4/kabc_groupwise.so
%_kde_datadir/applications/kde4/groupwarewizard.desktop
%_kde_datadir/config.kcfg/groupwise.kcfg
%_kde_datadir/config.kcfg/kolab.kcfg
%_kde_datadir/config.kcfg/slox.kcfg
%_kde_datadir/kde4/services/groupwise.protocol
%_kde_datadir/kde4/services/groupwises.protocol
%_kde_datadir/kde4/services/kresources/kabc/kabc_groupwise.desktop
%_kde_datadir/kde4/services/kresources/kcal/kcal_groupwise.desktop

#-----------------------------------------------------------------------------

%define kabc_groupwise_major 4
%define libkabcgroupwise %mklibname kabc_groupwise %{kabc_groupwise_major}

%package -n %libkabcgroupwise
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkabcgroupwise
KDEPIM 4 library.

%files -n %libkabcgroupwise
%defattr(-,root,root)
%_kde_libdir/libkabcgroupwise.so.%{kabc_groupwise_major}*

#-----------------------------------------------------------------------------

%define kcal_groupwise_major 4
%define libkcalgroupwise %mklibname kcal_groupwise %{kcal_groupwise_major}

%package -n %libkcalgroupwise
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkcalgroupwise
KDEPIM 4 library.

%files -n %libkcalgroupwise
%defattr(-,root,root)
%_kde_libdir/libkcalgroupwise.so.%{kcal_groupwise_major}*

#-----------------------------------------------------------------------------

%package -n kjots
Summary: Note Taker for KDE
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version


%description -n kjots
KJots organises all of your notes into separate books
Features :
   - Multiple books handled
   - Each book has many named pages
   - Books and pages can be rearranged by drag-and-drop
   - Keyboard shortcuts are available for many functions
   - Automatic saving means your notes are safe from loss.

%files -n kjots
%defattr(-,root,root)
%_kde_bindir/kjots
%_kde_appsdir/kjots
%_kde_datadir/kde4/services/kontact/kjots_plugin.desktop
%_kde_libdir/kde4/kjotspart.so
%_kde_libdir/kde4/kcm_kjots.so
%_kde_datadir/applications/kde4/Kjots.desktop
%_kde_datadir/kde4/services/kjotspart.desktop
%_kde_datadir/kde4/services/kjots_config_misc.desktop
%_kde_datadir/config.kcfg/kjots.kcfg
%_kde_docdir/HTML/*/kjots
%_kde_libdir/kde4/kontact_kjotsplugin.so

#-----------------------------------------------------------------------------

%package -n ksendemail
Summary: KDE Command Line Emailer
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

%description -n ksendemail
KDE Command Line Emailer.

%files -n ksendemail
%defattr(-,root,root)
%_kde_bindir/ksendemail

#-----------------------------------------------------------------------------
%if 0 
%package -n nepomuk-email-feeder
Summary: %{name} nepomuk-email-feeder
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

%description -n nepomuk-email-feeder
%{name} nepomuk-email-feeder.
 
%files -n nepomuk-email-feeder 
%defattr(-,root,root)
%_kde_bindir/akonadi_nepomuk_email_feeder
%_kde_datadir/akonadi/agents/nepomukemailfeeder.desktop
%endif

#-----------------------------------------------------------------------------

%package -n akonadiconsole
Summary: Console that help debugging Akonadi
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Conflicts: kdepim4-core < 2:4.4.2-5

%description -n akonadiconsole
A Console that help debugging Akonadi.

%files -n akonadiconsole
%defattr(-,root,root)
%_kde_bindir/akonadiconsole
%_kde_datadir/applications/kde4/akonadiconsole.desktop
%_kde_appsdir/akonadiconsole/akonadiconsoleui.rc

#-----------------------------------------------------------------------------

%define messageviewer_major 0
%define libmessageviewer %mklibname messageviewer %{messageviewer_major}

%package -n %libmessageviewer
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libmessageviewer
KDEPIM 4 library.

%files -n %libmessageviewer
%defattr(-,root,root)
%_kde_libdir/libmessageviewer.so.%{messageviewer_major}*

#-----------------------------------------------------------------------------

%define akonadi_next_major 4
%define libakonadi_next %mklibname akonadi-next %{akonadi_next_major}

%package -n %libakonadi_next
Summary: KDEPIM 4 library
Group: System/Libraries
Obsoletes: %{mklibname akonadi_next 4}

%description -n %libakonadi_next
KDEPIM 4 library.

%files -n %libakonadi_next
%defattr(-,root,root)
%_kde_libdir/libakonadi_next.so.%{akonadi_next_major}*

#-----------------------------------------------------------------------------

%define akonadi_kcal_next_major 4
%define libakonadi_kcal_next %mklibname akonadi-kcal_next %{akonadi_kcal_next_major}

%package -n %libakonadi_kcal_next
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libakonadi_kcal_next
KDEPIM 4 library.

%files -n %libakonadi_kcal_next
%defattr(-,root,root)
%_kde_libdir/libakonadi-kcal_next.so.%{akonadi_kcal_next_major}*

#-----------------------------------------------------------------------------


%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: kde4-macros
Requires: kdelibs4-devel >= 2:4.2.98
Requires: kdelibs4-experimental-devel >= 4.2.98
Requires: kdepimlibs4-devel >= 2:4.2.98
Requires: kdepim4-runtime-devel >= 4.2.98
Requires: %libkdepim = %epoch:%version
Requires: %libkpgp = %epoch:%version
Requires: %libksieve = %epoch:%version
Requires: %libmimelib = %epoch:%version
Requires: %libakregatorinterfaces = %epoch:%version
Requires: %libakregatorprivate = %epoch:%version
%if %{with_kitchensync}
Requires: %libkitchensyncprivate = %epoch:%version
Requires: %libqopensync = %epoch:%version
%endif
Requires: %libknodecommon = %epoch:%version
Requires: %libkmailprivate = %epoch:%version
Requires: %libkorg_stdprinting = %epoch:%version
Requires: %libkorganizerprivate = %epoch:%version
Requires: %libkorganizer_calendar = %epoch:%version
Requires: %libkorganizer_eventviewer = %epoch:%version
Requires: %libkorganizer_interfaces = %epoch:%version
Requires: %libkabc_groupdav = %epoch:%version
Requires: %libkabc_slox = %epoch:%version
Requires: %libkabckolab = %epoch:%version
Requires: %libkcal_groupdav = %epoch:%version
Requires: %libkcal_resourceremote = %epoch:%version
Requires: %libkcal_resourceblog = %epoch:%version
Requires: %libkcal_slox = %epoch:%version
Requires: %libkcalkolab = %epoch:%version
Requires: %libkgroupwarebase = %epoch:%version
Requires: %libkgroupwaredav = %epoch:%version
Requires: %libknoteskolab = %epoch:%version
Requires: %libkslox = %epoch:%version
Requires: %libkleo = %epoch:%version
Requires: %libgwsoap = %epoch:%version
Requires: %libkabcgroupwise = %epoch:%version
Requires: %libkcalgroupwise = %epoch:%version
Requires: %libmessagelist = %epoch:%version
Requires: %libmessagecore = %epoch:%version
Requires: %libmessageviewer = %epoch:%version
Requires: %libkalarm_calendar = %epoch:%version
Requires: %libkalarm_resources = %epoch:%version
Requires: %libakonadi_next = %epoch:%version
Requires: %libakonadi_kcal_next = %epoch:%version

%description  devel
This package contains header files needed if you wish to build applications
based on kdepim.

%files devel
%defattr(-,root,root)
%_kde_libdir/*.so
%_kde_datadir/dbus-1/interfaces/*

#----------------------------------------------------------------------

%prep

%if %branch
%setup -q -n kdepim-%version%kde_snapshot
%else
%setup -q -n kdepim-%version
%endif

# Branch patch
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1

#Mageia Patch
%patch400 -p0
%patch401 -p0
%patch402 -p1

%build
%cmake_kde4

%make

%install
rm -fr %buildroot

%makeinstall_std -C build
# We copy some missing icons from oxygen to hicolor
for size in 16  22 32 48 64 128; do
    mkdir -p %buildroot/%_datadir/icons/hicolor/${size}x${size}/apps
    %__cp %buildroot%_kde_iconsdir/oxygen/${size}x${size}/apps/kleopatra.png \
    %buildroot/%_datadir/icons/hicolor/${size}x${size}/apps
done

%clean
rm -fr %buildroot


%changelog
* Thu May 12 2011 mikala <mikala> 2:4.4.11.1-2.mga1
+ Revision: 97599
- Add patch104 from 4.4 branch to fix kde #247486 ( Fix spell check)

* Wed May 04 2011 mikala <mikala> 2:4.4.11.1-1.mga1
+ Revision: 94920
- Add patch402 (backport a fix from 4.6 branch) should fix a regression when displaying only unread articles
 thks to dglent for the kde bug report

* Wed Apr 27 2011 mikala <mikala> 2:4.4.11.1-0.mga1
+ Revision: 92094
- Update tarball to 4.4.11.1
- Drop patchs merged
- Add some branch patchs:
 - Patch100 for kalarm to use the correct location for KSpeech
 - Patch101 for kalarm to fix kde #266082 (highlight alarm when message window KAlarm button clicked)
 - Patch103 for kalarm to fix kde #271580 (Fix crash displaying New Alarm dialog from system tray)
 - Patch102 to fix kde #268120 (  Only start akonadi asynchronously on KDE 4.6.2 )

* Mon Apr 11 2011 dmorgan <dmorgan> 2:4.4.10-4.mga1
+ Revision: 83149
- Fix summary

  + mikala <mikala>
    - Remove Provides: kde4-apps
    - Apply branch patchs before mageia's patchs
    - Rediff patch1 ( provide a welcome message on kmail)
    - Move all specific mageia patch to 400+
    - Add patch from 4.4 branch :
     -Patch106 for messageviewer to fix kde #262680 ( Don't show next and previous
      buttons if the attendee list is empty)
     -Patch107 for kalarm ( allow to validate sound volume when reading from
      calendar)

* Tue Apr 05 2011 mikala <mikala> 2:4.4.10-3.mga1
+ Revision: 80821
- Drop patch 200,201,202 merged upstream
- Add branch patch 105 (replace 200,201,202 & allow to start kdepim4-asynchrously if built against 4.6 which is our case)

* Wed Mar 30 2011 mikala <mikala> 2:4.4.10-2.mga1
+ Revision: 78998
- Add patch from 4.4 branch:
- Patch for kalarm:
  patch100 (Fix initialisation of library global statics)
  patch101 (Fix bad borders round left hand buttons of time spinboxes in Oxygen style)
- Patch for kmail:
  patch102 ( Fix enable/disable remove button)
  patch103 (Update icons/text in tab when we change them)
  patch104 (Fix potential crash bug kde #269173)

* Wed Feb 16 2011 mikala <mikala> 2:4.4.10-1.mga1
+ Revision: 52153
- Fix file list (Special Dates and Planner summaries *disabled* by defaut)
- Remove some BR pulled by kdepim4-runtime-devel
- Update to KDEPIM 4.4.10
- Update description & summary for various subpackages

* Fri Jan 21 2011 ahmad <ahmad> 2:4.4.9-2.mga1
+ Revision: 29645
- don't build with nepomuk-scribo (conflicts with kdelibs4 atm)
- drop old obsoletes/conflicts
- improve some packages description/summary

  + dmorgan <dmorgan>
    - imported package kdepim4


* Sun Dec 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.9-0.1mdv2010.1
+ Revision: 625120
- New version 4.4.9
- New version 4.4.8

* Mon Jun 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.3-12mdv2010.1
+ Revision: 549436
- Add one more icon
- Fix new icons install
- Fix kleopatra icon under gnome

* Mon May 31 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.3-11mdv2010.1
+ Revision: 546716
- Add branches patches fixing crashes
- Add branches patches fixing crashes

* Wed May 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.3-10mdv2010.1
+ Revision: 546145
- Rebuild in release mode

* Tue May 25 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.3-9mdv2010.1
+ Revision: 545886
- Fix file list
- Update nepomuk patch

* Sat May 08 2010 Funda Wang <fwang@mandriva.org> 2:4.4.3-8mdv2010.1
+ Revision: 543557
- add missing requires on actural libfile

* Thu May 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.3-7mdv2010.1
+ Revision: 542789
- Remove P301 : Merged upstream
- Update to version 4.4.3

* Wed Apr 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.2-7mdv2010.1
+ Revision: 540313
- Add a patch fixing disribution list

* Tue Apr 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.2-6mdv2010.1
+ Revision: 539828
- Split akonadiconsole in its own rpm

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild so that shared libraries are properly stripped again

* Wed Apr 21 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.2-4mdv2010.1
+ Revision: 537751
- Remove kmail ksni patch

* Tue Apr 20 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.2-3mdv2010.1
+ Revision: 537268
- Update kmail patch

* Fri Apr 16 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.2-2mdv2010.1
+ Revision: 535465
- Add kmail KStatusNotifierItem patch

* Wed Mar 31 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.2-1mdv2010.1
+ Revision: 530104
- akonadi_nepomuk_email_feeder is disabled for the moment
- Fix patch apply
- Update to version 4.4.2
- Kadressbook does not need to have akonadi started anymore

* Wed Mar 24 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.1-4mdv2010.1
+ Revision: 527274
- Fix typo   tks Anssi

* Wed Mar 24 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.1-3mdv2010.1
+ Revision: 527219
- Add scribo-devel as buildrequire
- Reapply nepomuk patch
- Fix typo
- Fix file list
- Add patches about akonadi start
- Bump release
- Fix file list
- Fix and apply nepomuk patch
- Add akonadi-kde as Requires on the main package
  Start to add kmail-nepomuk ( not applied yet )

* Fri Mar 12 2010 Funda Wang <fwang@mandriva.org> 2:4.4.1-1mdv2010.1
+ Revision: 518430
- update file list

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix file list
    - Update to version 4.4.1
    - Kaddressbook requires akonadi

* Tue Feb 09 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.0-1mdv2010.1
+ Revision: 502615
- Update to version 4.4.0

* Mon Feb 01 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.98-1mdv2010.1
+ Revision: 499230
- Fix file list
- Update to version 4.3.98 aka "kde 4.4 RC3"
- Update to version 4.3.98 aka "kde 4.4 RC3"

* Tue Jan 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.95-1mdv2010.1
+ Revision: 496510
- Fix file list
- Fix previous commit
- Update to version 4.3.95 aka "kde 4.4 RC2"
- Remove the file copy as the culprit files are not on this package
- Fix menu files
- Fix cp macro
- Add missing icons in hicolor

* Sun Jan 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.90-1mdv2010.1
+ Revision: 488615
- Fix typo
- Fix file list
- Remove patch2
- Update to kde 4.4 rc1

* Wed Dec 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.85-2mdv2010.1
+ Revision: 481699
- Add back Suggests: nepomuk-email-feeder when it will be built again

* Tue Dec 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.85-1mdv2010.1
+ Revision: 481251
- Update to kde 4.4 beta2
  Disable nepomuk_feeder for now
  Fix major in packages
  Fix file list
- Fix comment

* Mon Dec 14 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.80-3mdv2010.1
+ Revision: 478464
- disable libindicate support ( asked by thiago)

* Fri Dec 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.80-2mdv2010.1
+ Revision: 476467
- Remove last kpilot switch
- Remove kpilot occurence in %%description
- Say goodbye to Kpilot
- Add libindicate-qt-devel as Buildrequires

* Fri Dec 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.80-1mdv2010.1
+ Revision: 473316
- Fix File list
  KPilot isn't provided for kde 4.4
- KDE 4.4 beta1

* Sat Nov 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.77-1mdv2010.1
+ Revision: 470979
- Fix file lists
- Fix file list in Kalarm who is back
  2 now packages:
        - libkalarm_calendar
        - libkalarm_resources
- Update to kde 4.3.77

* Fri Nov 20 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.75-2mdv2010.1
+ Revision: 467622
- Fix libmessageviewer libs

* Tue Nov 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.75-1mdv2010.1
+ Revision: 467049
- Update to kde 4.3.75
  New package:
        - nepomuk-email-feeder

* Wed Nov 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.73-2mdv2010.1
+ Revision: 464928
- Remove patch2
- Rebuild against new qt

* Sun Nov 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.73-1mdv2010.1
+ Revision: 462812
- Update to kde 4.3.73
  Remove merged patches
  Fix file list

* Mon Oct 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.2-2mdv2010.0
+ Revision: 456701
- add patches from branch ( bugfixes, crash fixes, ...)

* Tue Oct 06 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.2-1mdv2010.0
+ Revision: 454427
- New upstream release 4.3.2.

* Fri Sep 25 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.1-10mdv2010.0
+ Revision: 448941
- Replace suggests as requires for ldap, imap and sieve

* Fri Sep 25 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.1-9mdv2010.0
+ Revision: 448597
- Add back desktop file patch

* Thu Sep 24 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.1-8mdv2010.0
+ Revision: 448456
- Make kmail, knode and kontact make use of proper kioslaves

* Wed Sep 23 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.1-6mdv2010.0
+ Revision: 447852
- Update imap crash patch with single one

* Tue Sep 15 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.1-5mdv2010.0
+ Revision: 443110
- pinentry-qt4 and openssh-askpass-qt4 as suggests ( because what is a few kilobytes ) :-)
- kmailcvt as suggests too for kmail

* Mon Sep 14 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.1-3mdv2010.0
+ Revision: 440676
- Fix major disconnected imap issue in kmail. Renaming folders in disconnectec imap can ocasionally delete mails in main imap server

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add pinentry-qt4 as Requires to allow users to sign mails

* Tue Sep 01 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.1-1mdv2010.0
+ Revision: 423205
- New upstream release 4.3.1.

* Tue Aug 04 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.0-1mdv2010.0
+ Revision: 409401
- New upstream release 4.3.0.

* Wed Jul 22 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.2.98-1mdv2010.0
+ Revision: 398737
- Update to KDE 4.3 RC3

* Sat Jul 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.96-1mdv2010.0
+ Revision: 394872
- Update to Rc2
- Fix requires in kmail

* Wed Jul 01 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.2.95-3mdv2010.0
+ Revision: 391248
- Obsoletes kode which is no longer available

* Tue Jun 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.95-2mdv2010.0
+ Revision: 390790
- Versionnate buildrequires
- New tarball for Rc1
- Add korganizer a suggests in kontact
- Add back kmail first message ( rediffed because of the lose of qt3support)

* Fri Jun 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.95-1mdv2010.0
+ Revision: 389421
- Update to kde 4.3Rc1

* Mon Jun 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.90-1mdv2010.0
+ Revision: 383846
- Fix file list
- Fix file list
- Update to beta2

* Sat May 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.88-1mdv2010.0
+ Revision: 381526
- Fix file list
- Remove  merged patch
- Update to kde 4.2.88

* Sun May 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.87-1mdv2010.0
+ Revision: 379316
- Fix file list
- Fix build
- Update to kde 4.2.87

* Mon May 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.85-7mdv2010.0
+ Revision: 376800
- Fix Requires

* Sun May 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.85-6mdv2010.0
+ Revision: 376678
- [Bugfix]Add some Requires (Bug #50943)

* Sun May 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.85-5mdv2010.0
+ Revision: 376605
- Fix excluded files
- [Bugfix]Fix Requires for akonadi package ( But #50950)
- Do not package nco.trig and .desktop files, they are on kdebase4-runtime

* Sun May 10 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.85-3mdv2010.0
+ Revision: 374048
- Fix file list
- Change Requires on devel package

* Sun May 10 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.85-2mdv2010.0
+ Revision: 373914
- Remove dupplicate file with oxygen theme

* Sat May 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.85-1mdv2010.0
+ Revision: 373654
- Update to kde 4.2.85
- Add some suggests for default kontact
- Remove old macros ( step 2 )
- Remove old macros
- Update to kde 4.2.71

* Sat May 02 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.70-0.svn954171.1mdv2010.0
+ Revision: 370594
- Update to kde 4.2.70
  Remove merged patches

* Sat Apr 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.2-13mdv2009.1
+ Revision: 367954
- Add patches from 4.2 branch :
    - Patch 141: Re-enable notifications
    - Patch 142: Fix Restore size
- Do not package kmobiletool

* Fri Apr 10 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.2-12mdv2009.1
+ Revision: 365926
- Add some upstream patches from branch
        - Patch139: Fix crash ( kolab issue 2979 )
        - Patch140: Knotes: Fix KDE bug 189050

* Thu Apr 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.2-11mdv2009.1
+ Revision: 365487
- Disable patch102: seems to slow down searches a lot
- Add some upstream patches from branch
        - Patch137: Do not search on ldap when we disable completion
        - Patch138: Fix minor leak (it cleans when we close composer)
- Add some upstream patches from branch
        - Patch133: KAlarm: Use more suitable email icon
        - Patch134: KNode: Backport of r945792 to the 4.2 branch
        - Patch135: KNode: Fix the "cut" action in KNode's composer.
        - Patch136: KNode: Don't let KIO handle authentication for us, nullify the uiDelegate.

* Wed Apr 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.2-8mdv2009.1
+ Revision: 365221
- Add some upstream patches from branch
    - Patch132: defined smtp as default transport, otherwise we don't see a default smtp

* Wed Apr 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.2-7mdv2009.1
+ Revision: 365114
- Add patches fro 4.2 branch

* Mon Apr 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.2-6mdv2009.1
+ Revision: 364557
- Add some upstream patches from branch
    - Patch126: Little fix on kmail destructor ( cosmetic )

* Mon Apr 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.2-5mdv2009.1
+ Revision: 364474
- Add some upstream patches from branch
        - Patch125: Wizards: don't save passwd in Folder-*

* Mon Apr 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.2-4mdv2009.1
+ Revision: 364388
- Add some upstream patches from branch
        - Patch119: KAdressBook: Add autofillbackground
        - Patch120: KAdressBook: don't exec proc if we canceled it
        - Patch121: KOrganizer:  Fix potential crash
        - Patch122: KNode: Don't crash on closing an article widget opened by clicking a reference while the article isn't fully loaded yet
        - Patch123: KMail: fix enable/disable actions
        - Patch124: KMail->filters : We must accept html it's html

* Sun Apr 05 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.2-3mdv2009.1
+ Revision: 364124
- There are circumstances under which QtConcurrent::run() may use the calling thread to execute the job, which is unfortunate

* Sun Apr 05 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.2-2mdv2009.1
+ Revision: 364104
- Add some upstream patches from branch
        - Patch100: Code refactoring
        - Patch101: Refresh when we cancel create new script.
        - Patch102: Fix search in Kadressbook when some fields occurs more than once
        - Patch103: Fix kolab issue 2150
        - Patch104: Fix issue kolab 2846
        - Patch105: Automatically remove empty lines in the recipients-editor
        - Patch106: Show the size on the server for IMAP messages
        - Patch107: Put the brightness factor in a constant, and increase the contrast slightly
        - Patch108: Fix crash kolab issue 3312
        - Patch109: Fix plugin loading and/or unloading segfault
        - Patch110: Fix kolab issue 3480
        - Patch111: Sieve doesn't accept empty script
        - Patch112: KOrganizer: don't add empty string
        - Patch113: Let me jump to readonly folders too
        - Patch114: Calculate and show the correct folder size of IMAP folders
        - Patch115: Add focus
        - Patch116: Fix minor mem leak
        - Patch117: Don't try to show a menu when there is not entry
- Remove old tarball

* Sat Mar 28 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.2.2-1mdv2009.1
+ Revision: 361810
- Update with 4.2.2 try#1 packages
- Korganizer view fix from branches.
- KDE 4.2.1 try#1 upstream release
- KDE 4.2.1 try#1 upstream release

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - [trunk] Fix column size saving (Bug #48513)
    - Add a Welcome message at first start of KMail
    - Fix Requires

* Mon Feb 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.0-2mdv2009.1
+ Revision: 340888
- Rebuild against qt4.5

* Tue Jan 27 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.2.0-1mdv2009.1
+ Revision: 334694
- Update with official 4.2.0 upstream tarball

* Fri Jan 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.96-1mdv2009.1
+ Revision: 327481
- Package doc

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Release Candidate 1 - 4.1.96

* Mon Dec 22 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.85-2mdv2009.1
+ Revision: 317397
- Fix back menu desktop entries

* Fri Dec 12 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.85-1mdv2009.1
+ Revision: 313713
- Update with Beta 1 - 4.1.85

* Thu Dec 11 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.82-1mdv2009.1
+ Revision: 313410
- Remove unneeded patch
- Update to kde 4.1.82
- Update to kde 4.1.82

* Sun Nov 30 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.81-1mdv2009.1
+ Revision: 308634
- versionnate buildrequires
- Update to kde 4.1.81
- Fix File List

  + Anssi Hannula <anssi@mandriva.org>
    - kaddressbook obsoletes kdeaddons-kaddressbook-plugins

* Wed Nov 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.80-2mdv2009.1
+ Revision: 307155
- Fix obsoletes
- Obsoletes old kde3 packages

  + Funda Wang <fwang@mandriva.org>
    - update url

* Sat Nov 22 2008 Funda Wang <fwang@mandriva.org> 2:4.1.80-1mdv2009.1
+ Revision: 305868
- add kio_news doc
- try parallel build
- kdepim has nothing to do with workspace now

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Beta 1 - 4.1.80

* Fri Nov 14 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.73-1mdv2009.1
+ Revision: 303167
- Update to kde 4.1.73

* Sun Oct 26 2008 Funda Wang <fwang@mandriva.org> 2:4.1.71-3mdv2009.1
+ Revision: 297405
- rebuild for new gnokii

* Sat Oct 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.71-2mdv2009.1
+ Revision: 297136
- Fix File List (Bug #45299)

* Sat Oct 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.71-1mdv2009.1
+ Revision: 297094
- New version 4.1.71
- kdepim4 is a metapackage so change Requires into Suggests
- Remove Requires for kdepim4-core in kdepim4 main package

* Mon Oct 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.70-1mdv2009.1
+ Revision: 295837
- Update to kde 4.1.70
- Update to kde 4.1.70

* Thu Oct 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2:4.1.2-2mdv2009.0
+ Revision: 290838
- Add conflicts to ease upgrade from Mdv 2008.1

* Fri Sep 26 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.2-1mdv2009.0
+ Revision: 288503
- KDE 4.1.2 arriving.

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - [BUGFIX] Fix Requires for Knode (Bug #41138)

* Tue Sep 02 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.1-1mdv2009.0
+ Revision: 279058
- Disable nie akonadi nepomuk compilation
- Fix file list
- Upgrade to forthcoming 4.1.1 packages

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - ByeBye Ktnef
    - [BUGFIX] Add sasl-plug-plain as Requires of KMail (Bug #42301)
    - Disable build of ktnef
    - Use <= on the versionnate
    - Obsolete Korn as it do not exist anymore on the package

* Mon Aug 04 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-3mdv2009.0
+ Revision: 263403
- Added missing files
- Update with current branch 4.1 patches

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Rebuild because of B/S Failure

* Sun Jul 27 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.0-1mdv2009.0
+ Revision: 250697
- Fix file list ( Byebye Korn)
- Remove merged patch

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Release Candidate 1 - 4.1.0

* Sun Jul 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.98-5mdv2009.0
+ Revision: 239001
- This patch should not have been commited
- [BUGFIX] Fix crash in Akregator when adding a RSS feed (Bug #42111)
- Better packaging pratice use exclude instead of rm -fr (tks helio)

* Sun Jul 13 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.98-3mdv2009.0
+ Revision: 234389
- Fix conflicts with oxygen pacakge

* Sun Jul 13 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.98-2mdv2009.0
+ Revision: 234387
- Fix file list
- [BUGFIX] Autostart Kalarm only on KDE (Bug #41884)

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Release Candidate 1 - 4.0.98

* Mon Jul 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.85-2mdv2009.0
+ Revision: 232626
- Fix KOrn menu entry (KDE menu cleaning task )

* Mon Jul 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.85-1mdv2009.0
+ Revision: 232535
- New version kde 4.0.85
- Do not show Kalarm on the menu (menu cleaning task)

  + Funda Wang <fwang@mandriva.org>
    - add missing epoch when obsoleting

* Mon Jun 30 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.84-2mdv2009.0
+ Revision: 230416
- Move kaddressbook and korganizer in internet menu
- [BUGFIX] Remove ktnef from menus (Bug #41765)

* Sat Jun 28 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.84-1mdv2009.0
+ Revision: 229606
- Update with new snapshot tarballs 4.0.84

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.83-5mdv2009.0
+ Revision: 228530
- Updated from recent upstream tarball ( imap code changes )

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Start to fix menu entries
    - Rebuild against fixed rpm

* Sun Jun 22 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.83-2mdv2009.0
+ Revision: 227843
- [BUGFIX] Fix File list (Bug #41455)

* Fri Jun 20 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.83-1mdv2009.0
+ Revision: 227578
- Fixed kontact plugins placement.
- Removed useless package kdepim4-plugins and moved it back to kmail
- Fixed file list
- Update with new snapshot tarballs 4.0.83

  + Funda Wang <fwang@mandriva.org>
    - improve summary and descriptions

* Wed Jun 11 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.82-1mdv2009.0
+ Revision: 218219
- Update with new snapshot tarballs 4.0.82

* Mon Jun 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.81-3mdv2009.0
+ Revision: 217276
- Fix Obsoletes when packages are not built

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jun 04 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.81-2mdv2009.0
+ Revision: 215030
- Filex file list
- Added switch for kmobiletools and kpilot, not enabled in this release
- Update with new snapshot tarballs 4.0.81

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix file list
    - Fix Requires ( reported on cooker ML )

* Sun May 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.80-1mdv2009.0
+ Revision: 211151
- Fix File list
- Add new package Kjots ( was on kdeutils4 before )
  Add 3 new library packages ( %%libkontactinterfaces %%libkcal_groupwise %%libgwsoap and %%libkabc_groupwise
  Remove %%libkpinterfaces library package
- Own %%_kde_appsdir/kontactsummary and %%_kde_appsdir/kontact
- Own %%_kde_appsdir/kpilot
- Own %%_kde_appsdir/ktimetracker
- Own %%_kde_appsdir/kxforms
- Own %%_kde_appsdir/libkleopatra
- Own %%_kde_appsdir/akonadi and %%_kde_appsdir/akonadiconsole
- own %%_kde_appsdir/kcontactmanager

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 beta1

* Fri May 16 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.74-1mdv2009.0
+ Revision: 208263
- Update to kde 4.0.74
  Remove libkfeed ( will be on its own package)
  Fix File list
- Fix Requires

* Fri May 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.73-2mdv2009.0
+ Revision: 204790
- Update to kde 4.0.73
- Fix conflicts

* Wed May 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.72-2mdv2009.0
+ Revision: 202741
- Fix BuildRequires
- Fix BuildRequires
- Fix File list
- Update to kde 4.0.72
- Add Buildrequire
- Add forgotten build patch
- Fix file list
  Remove libakonadiprivate ( now on its own source package ( akonadi )
- Update to kde4 4.0.70
- New snapshot

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1
    - Starting to push new infrastructure for devel KDE 4.1. KDE 4 will be on / now. KDE is dead. Long live KDE.

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 26 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.97.1-0.752060.2mdv2008.1
+ Revision: 137824
+ rebuild (emptylog)

* Mon Dec 24 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.97.1-0.752060.1mdv2008.1
+ Revision: 137422
- New snapshot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.97.1-0.747029.1mdv2008.1
+ Revision: 117085
- New snapshot

* Fri Nov 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.96.1-0.742825.1mdv2008.1
+ Revision: 114097
- New snapshot

* Fri Nov 23 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.96.1-0.740266.1mdv2008.1
+ Revision: 111412
- New snapshot

* Sat Nov 17 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.96.0-0.737116.1mdv2008.1
+ Revision: 109546
- KDE4 Rc1
  Fix file list

* Sun Nov 11 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.95.2-0.734816.1mdv2008.1
+ Revision: 107526
- New snapshot

* Sun Nov 04 2007 Funda Wang <fwang@mandriva.org> 2:3.95.1-0.731772.2mdv2008.1
+ Revision: 105844
- Rebuild against new libopensync

* Fri Nov 02 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.95.1-0.731772.1mdv2008.1
+ Revision: 105417
- Fix file list
- Fix file list
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.94.1-0.730680.1mdv2008.1
+ Revision: 103977
- Fix File list

* Thu Oct 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.94.1-0.729215.1mdv2008.1
+ Revision: 102198
- Fix File list
- Add back boost-devel
- New snapshot
- Fix conflict

* Sun Oct 21 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.94.0-0.726734.2mdv2008.1
+ Revision: 100758
- Fix upgrade

* Fri Oct 19 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.94.0-0.726734.1mdv2008.1
+ Revision: 100209
- Fix Buildrequire
- Fix Buildrequires
- Kde 4 Beta3

  + Funda Wang <fwang@mandriva.org>
    - build agsint opensync 0.33

* Tue Sep 25 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2:3.93.0-0.714150.1mdv2008.0
+ Revision: 92916
+ rebuild (emptylog)

* Fri Sep 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:3.93.0-1mdv2008.0
+ Revision: 91864
- Update snapshot
- Make obsoletes tags versioned
- Add a patch fixing kpilot installation

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with revision 708397
    - Update to revision 698242
    - First working kdepim4 package
    - Update to revision 694342

  + Adam Williamson <awilliamson@mandriva.org>
    - disable libmal buildrequires (mal conduit is disabled upstream)

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070502.5mdv2008.0
+ Revision: 21328
- Fix BR
- New version
- 3.80.3


* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.5mdv2007.1
+ Revision: 141267
- new snapshot
- Fix spec file
- new snapshot

* Wed Feb 28 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.3-0.20070228.4mdv2007.1
+ Revision: 126885
- new snapshot
- 3.80.3

* Fri Feb 16 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070215.3mdv2007.1
+ Revision: 121632
- new snapshot
- new snapshot
- Fix spec file
- new snapshot

* Sun Jan 14 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070117.1mdv2007.1
+ Revision: 108638
- Fix group
- Fix bug #28093

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.1mdv2007.1
+ Revision: 106935
- Update snapshot

* Fri Jan 05 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.6mdv2007.1
+ Revision: 104387
- Fix lib

* Fri Jan 05 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.5mdv2007.1
+ Revision: 104327
- Fix file list (based on patch from neoclust)
  Remove some post and postun empty

* Thu Jan 04 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.4mdv2007.1
+ Revision: 104150
- Fix provides (patch from neoclust)
  Remove old obsolete

* Wed Jan 03 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.3mdv2007.1
+ Revision: 103910
- Fix buildrequires
- Fix buildrequires
- Fix spec files
- Import kdepim4

* Wed Jan 03 2007 Laurent Montel <lmontel@mandriva.com> 3.5.5-4mdv2007.0
- kde4

